# module Tk::Tcllib::Tkpiechart::ConfigMethod

### Public Instance Methods

__cget_cmd() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 46
    def __cget_cmd
      ['::switched::cget', self.tag]
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 61
    def __boolval_optkeys
      super() << 'select' << 'autoupdate' << 'selectable'
    end

__config_cmd() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 50
    def __config_cmd
      ['::switched::configure', self.tag]
    end

__configinfo_struct() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 55
    def __configinfo_struct
      {:key=>0, :alias=>nil, :db_name=>nil, :db_class=>nil,
        :default_value=>1, :current_value=>2}
    end

__listval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 72
    def __listval_optkeys
      super() << 'colors'
    end

__pathname() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 41
    def __pathname
      self.path + ';' + self.tag
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 66
    def __strval_optkeys
      super() << 'bordercolor' << 'textbackground' <<
        'widestvaluetext' << 'title'
    end